UNIT Cursor;
{Unit fr Cursor-Abschaltung in Pascal-Programmen
 Programmiert von Mathias Harbeck
 Copyright (c) 1997 by Mathias Harbeck
 eMail: mharbeck@compuserve.com
 Pascal-Toolbox Nr. 5
 Stand: 22.06.1997
 http://ourworld.compuserve.com/homepages/mharbeck/index.htm
}

INTERFACE

VAR CursorShape:Word;

PROCEDURE GetCursorShape;
PROCEDURE CursorOn;
PROCEDURE CursorOff;


IMPLEMENTATION
USES Dos;

PROCEDURE GetCursorShape;
{Sichert das aktuelle Cursorerscheinungsbild in CursorShape}
VAR Regs:Registers;
BEGIN
  Regs.AH:=3;
  Regs.BH:=0;
  Intr($10,Regs);
  CursorShape:=Regs.CX;
END;

PROCEDURE CursorOn;
{Schaltet den Cursor wieder an bzw. setzt ihn auf die in CursorShape gesicherte Form}
VAR Regs:Registers;
BEGIN
 Regs.AH:=1;
 Regs.CX:=CursorShape;
 Intr($10,Regs);
END;

PROCEDURE CursorOff;
{Schaltet den Cursor ab}
VAR Regs:Registers;
BEGIN
  Regs.AH:=1;
  Regs.CX:=$100;
  Intr($10,Regs);
END;

{Nhere Erluterungen sind wie immer auf meiner Homepage
  http://ourworld.compuserve.com/homepages/mharbeck/index.htm
zu finden!}

END.
